Skip to main content
POST
/
projects
/
{project_reference}
/
rag
/
documents
Upsert RAG Document
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/rag/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source": "<string>",
  "type": "<string>",
  "metadata": {}
}
'
{
  "document": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "source": "<string>",
    "type": "<string>",
    "metadata": {},
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Path Parameters

project_reference
string
required

Body

application/json
title
string
required
Minimum string length: 1
id
string<uuid>
source
string
type
string
metadata
object

Response

Upserted document

document
object
required